Bug 566831 - [abrt] crash in GetFrmSize
Summary: [abrt] crash in GetFrmSize
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a76ab5bffadfdd97159f1e614c2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-19 21:33 UTC by Allen Barnett
Modified: 2010-08-04 09:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-04 09:16:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (60.35 KB, text/plain)
2010-02-19 21:33 UTC, Allen Barnett
no flags Details
RTF file which causes segfault (331.77 KB, text/plain)
2010-02-22 16:16 UTC, Allen Barnett
no flags Details


Links
System ID Private Priority Status Summary Last Updated
OpenOffice.org 112657 0 None None None Never

Description Allen Barnett 2010-02-19 21:33:29 UTC
abrt 1.0.6 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/openoffice.org3/program/swriter.bin -writer file:///home/allen/.evolution/cache/tmp/evolution-allen-7NqeFf/90-day%20Inventory.rtf
component: openoffice.org
executable: /usr/lib/openoffice.org3/program/swriter.bin
kernel: 2.6.31.12-174.2.19.fc12.i686
package: openoffice.org-writer-1:3.1.1-19.26.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. I was sent an RTF file generated by wordperfect.
2. Open in OO.org
3.

Comment 1 Allen Barnett 2010-02-19 21:33:32 UTC
Created attachment 395182 [details]
File: backtrace

Comment 2 Caolan McNamara 2010-02-20 11:05:32 UTC
Can you attach the .rtf which causes the crash ? (or if its private feel free to mail me directly with it)

Comment 3 Allen Barnett 2010-02-22 16:16:16 UTC
Created attachment 395502 [details]
RTF file which causes segfault

This started as a State of North Carolina standard form in wordperfect format. Evidently, it was read into wordperfect, edited, and then written out in RTF format. I asked the law office to send me a blank version of the RTF version; I was able to read this into oo.org without difficulties. So, I went ahead and deleted the personal info from this RTF file. It still causes oo.o to crash.

Comment 4 David Tardon 2010-02-23 07:13:43 UTC
reproducible

Comment 5 David Tardon 2010-06-24 12:49:38 UTC
Sorry for the long delay :( It was quite simple to fix after I got over a very bad case of blindness to the obvious... The fix will be in >=3.1.1-19.34.fc12 .

Comment 6 Fedora Update System 2010-07-05 07:53:05 UTC
openoffice.org-3.1.1-19.34.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.34.fc12

Comment 7 Fedora Update System 2010-07-06 17:26:33 UTC
openoffice.org-3.1.1-19.34.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.34.fc12

Comment 8 Caolan McNamara 2010-08-04 09:16:32 UTC
This update has been pushed to stable


Note You need to log in before you can comment on or make changes to this bug.